org.eclipse.mat.ui.snapshot.views

## Class SnapshotOutlinePage

- java.lang.Object
- - org.eclipse.ui.part.Page
  - - org.eclipse.mat.ui.snapshot.views.SnapshotOutlinePage

All Implemented Interfaces:
  org.eclipse.ui.part.IPage, org.eclipse.ui.part.IPageBookViewPage

Direct Known Subclasses:
  SnapshotOutlinePage.HeapEditorOutlinePage

    public abstract class SnapshotOutlinePage
    extends org.eclipse.ui.part.Page

### Nested Class Summary

Nested Classes
`static class` `SnapshotOutlinePage.HeapEditorOutlinePage`

### Constructor Summary

Constructors
Constructor and Description
`SnapshotOutlinePage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.widgets.Control` `getControl()`
`org.eclipse.jface.viewers.ISelection` `getSelection()`
`void` `init(org.eclipse.ui.part.IPageSite pageSite)`
`void` `removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void` `setFocus()`
`void` `setSelection(org.eclipse.jface.viewers.ISelection selection)`

### Methods inherited from class org.eclipse.ui.part.Page

`dispose, getSite, makeContributions, setActionBars`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnapshotOutlinePage

    public SnapshotOutlinePage()

### Method Detail

#### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

Specified by:
  `createControl` in interface `org.eclipse.ui.part.IPage`
Specified by:
  `createControl` in class `org.eclipse.ui.part.Page`

#### getControl

    public org.eclipse.swt.widgets.Control getControl()

Specified by:
  `getControl` in interface `org.eclipse.ui.part.IPage`
Specified by:
  `getControl` in class `org.eclipse.ui.part.Page`

#### setFocus

    public void setFocus()

Specified by:
  `setFocus` in interface `org.eclipse.ui.part.IPage`
Specified by:
  `setFocus` in class `org.eclipse.ui.part.Page`

#### addSelectionChangedListener

    public void addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

#### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

#### removeSelectionChangedListener

    public void removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

#### setSelection

    public void setSelection(org.eclipse.jface.viewers.ISelection selection)

#### init

    public void init(org.eclipse.ui.part.IPageSite pageSite)

Specified by:
  `init` in interface `org.eclipse.ui.part.IPageBookViewPage`
Overrides:
  `init` in class `org.eclipse.ui.part.Page`